<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/verdnatura_black</item>
        <item name="colorAccent">@color/verdnatura_pumpkin_orange</item>
        <item name="android:windowBackground">@color/verdnatura_black</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorControlHighlight">@color/verdnatura_white</item>
        <item name="android:fontFamily">@font/roboto_medium</item>
    </style>

    <!--Buttons-->
    <style name="plusButton" parent="android:Widget.Button">
        <item name="android:layout_width">48dp</item>
        <item name="android:layout_height">48dp</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textSize">@dimen/body2</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/verdnatura_orange_salix</item>
        <item name="android:gravity">center</item>
        <item name="android:layout_marginHorizontal">1dp</item>
    </style>
    <style name="DefaultButton" parent="android:Widget.Button">
        <item name="android:minWidth">64dp</item>
        <item name="android:layout_height">36dp</item>
        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textSize">14sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:gravity">center</item>
        <item name="android:focusable">true</item>
        <item name="android:lines">1</item>
        <item name="android:ellipsize">end</item>
        <item name="android:clickable">true</item>
        <item name="android:drawablePadding">8dp</item>
    </style>

    <style name="DefaultButton.DynamicButton"  parent="DefaultButton">
        <item name="android:background">@drawable/btn_orange</item>
        <item name="android:textColor">@color/verdnatura_white</item>
        <item name="android:minWidth">64dp</item>
        <item name="android:layout_height">36dp</item>
        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textSize">14sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:gravity">center</item>
        <item name="android:focusable">true</item>
        <item name="android:lines">1</item>
        <item name="android:ellipsize">end</item>
        <item name="android:clickable">true</item>
        <item name="android:drawablePadding">8dp</item>

    </style>

    <style name="DefaultButton.NormalButton" parent="DefaultButton">
        <item name="android:background">@drawable/btn_orange</item>
        <item name="android:textColor">@color/verdnatura_white</item>
    </style>

    <style name="DefaultButton.NormalButtonTwo" parent="DefaultButton">
        <item name="android:background">@drawable/btn_blue</item>
        <item name="android:textColor">@color/verdnatura_white</item>
    </style>

    <style name="ToolPickerImage" parent="AppTheme">
        <item name="colorPrimary">@color/verdnatura_black</item>
        <item name="colorPrimaryDark">@color/verdnatura_black</item>
        <item name="android:textColor">@color/verdnatura_white</item>
    </style>

    <style name="DefaultButton.NormalButtonThree" parent="DefaultButton">
        <item name="android:background">@drawable/btn_green</item>
        <item name="android:textColor">@color/verdnatura_white</item>
    </style>

    <style name="DefaultButton.TransparentButton" parent="DefaultButton">
        <item name="android:background">@drawable/btn_white_transparent</item>
        <item name="android:textColor">@color/verdnatura_white</item>
    </style>

    <style name="TextButton" parent="android:Widget.TextView">
        <item name="android:minWidth">64dp</item>
        <item name="android:layout_height">36dp</item>
        <item name="android:paddingStart">8dp</item>
        <item name="android:paddingEnd">8dp</item>
        <item name="android:gravity">center</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">14sp</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:focusable">true</item>
        <item name="android:clickable">true</item>
        <item name="android:background">?android:attr/selectableItemBackground</item>
    </style>

    <style name="ImageButton" parent="android:Widget.ImageButton">
        <item name="android:layout_height">48dp</item>
        <item name="android:layout_width">42dp</item>
        <item name="android:padding">12dp</item>
        <item name="android:scaleType">centerCrop</item>
        <item name="android:background">?android:attr/selectableItemBackgroundBorderless</item>
        <item name="android:clickable">true</item>
        <item name="android:focusable">true</item>
    </style>

    <!--Input Text-->
    <style name="InputLineText" parent="android:Widget.EditText">
        <item name="android:minWidth">280dp</item>
        <item name="android:layout_height">56dp</item>
        <item name="android:paddingStart">12dp</item>
        <item name="android:paddingEnd">12dp</item>
        <item name="android:textSize">16sp</item>
    </style>

    <!--Input Text Search-->
    <style name="InputLineTextSearch" parent="android:Widget.EditText">
        <item name="android:minWidth">280dp</item>
        <item name="android:layout_height">50dp</item>
        <item name="android:textSize">16sp</item>

    </style>


    <style name="LargeHintText">
        <item name="android:textSize">20sp</item>
    </style>

    <style name="ScanLineTextSearch" parent="DialogTheme">
        <item name="android:background">@drawable/background_round</item>
        <item name="android:textColor">@color/verdnatura_white</item>
        <item name="android:layout_marginStart">50dp</item>
        <item name="android:layout_marginEnd">50dp</item>
        <item name="android:layout_marginTop">65dp</item>
        <item name="android:paddingTop">5dp</item>
        <item name="android:paddingBottom">5dp</item>
        <item name="android:ellipsize">start</item>
        <item name="android:gravity">center_horizontal</item>
        <item name="android:textColorHint">@android:color/white</item>

    </style>

    <!-- Full Screen Alert Dialog -->
    <style name="DialogTheme">
        <item name="android:layout_width">280dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="cardCornerRadius">@dimen/dialog_radius</item>
        <!-- No backgrounds, titles or window float -->
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
    </style>

    <!--Ripple effect for layouts-->
    <style name="LayoutClickable">
        <item name="android:focusable">true</item>
        <item name="android:clickable">true</item>
        <!-- <item name="android:foreground">?android:attr/selectableItemBackground</item> -->
        <item name="android:foreground">@drawable/custom_ripple</item>
    </style>


    <!--Progress Bar-->
    <style name="HorizontalProgressBar" parent="Widget.AppCompat.ProgressBar.Horizontal">
        <item name="android:layout_height">5dp</item>
        <item name="android:progressDrawable">@drawable/component_progress</item>
    </style>

    <style name="ParentalLabel">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:minWidth">25dp</item>
        <item name="android:background">@drawable/border_parental</item>
        <item name="android:gravity">center</item>
        <item name="android:padding">1dp</item>
        <item name="android:textAlignment">center</item>
        <item name="android:textSize">14sp</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="ParentalLabelSmall" parent="ParentalLabel">
        <item name="android:layout_width">15dp</item>
        <item name="android:layout_height">15dp</item>
        <item name="android:minWidth">100dp</item>
        <item name="android:padding">0dp</item>
        <item name="android:textSize">10sp</item>
        <item name="android:textStyle">normal</item>
    </style>

    <style name="Divider">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:background">?android:attr/listDivider</item>
    </style>
</resources>
